# Flex [![Build Status](https://travis-ci.org/alexandrevicenzi/Flex.svg?branch=master)](https://travis-ci.org/alexandrevicenzi/Flex)

The minimalist [Pelican](http://blog.getpelican.com/) theme.

## Notes

- If you have questions open an issue.
- This theme is not under development anymore, it's stable and has a lot of features. This means that new requests (not bug fixes) will be discussed and have lower priorities.
- If you want a version of this theme to Jekyll or Hugo open an issue and let's discuss it.

## Features

- Mobile First
- Responsive
- Semantic
- SEO Best Practices
- Open Graph
- Rich Snippets (JSON-LD)
- Related Posts (via [plugin](https://github.com/getpelican/pelican-plugins/tree/master/related_posts) or AddThis)
- Minute read (via [plugin](https://github.com/getpelican/pelican-plugins/tree/master/post_stats)) (new in 2.0)
- [Multiple Code Highlight Styles](https://github.com/alexandrevicenzi/Flex/wiki/Code-Highlight)
- [Translation Support](https://github.com/alexandrevicenzi/Flex/wiki/Translations) (new in 2.0)

## Integrations

- [AddThis](http://www.addthis.com/) Share Buttons and Related Posts
- [Disqus](https://disqus.com/)
- [Gauges Analytics](http://get.gaug.es/)
- [Google AdSense](https://www.google.com.br/adsense/start/) (new in 2.1.0)
- [Google Analytics](https://www.google.com/analytics/web/)
- [Google Tag Manager](https://www.google.com/tagmanager/)
- [Matomo Analytics (formerly Piwik)](https://matomo.org/)
- [StatusCake](https://www.statuscake.com/)
- [Isso](https://posativ.org/isso/)

## Plugins Support

- [Github Corners](https://github.com/tholman/github-corners) (new in 2.2.0)
- [I18N Sub-sites](https://github.com/getpelican/pelican-plugins/tree/master/i18n_subsites) (new in 2.0)
- [Minute read](https://github.com/getpelican/pelican-plugins/tree/master/post_stats) (new in 2.0)
- [Related Posts](https://github.com/getpelican/pelican-plugins/tree/master/related_posts)
- [Representative image](https://github.com/getpelican/pelican-plugins/tree/master/representative_image) (new in 2.2.0)
- [Neighbors](https://github.com/getpelican/pelican-plugins/tree/master/neighbors) (new in 2.2.0)

## Install

The best way to install is over [pelican-themes](https://github.com/getpelican/pelican-themes).

The alternative way is to clone this repository. The `master` branch is stable and is safe to checkout, but I would recommend you to checkout a tag branch.

## Documentation

The documentation covers most of the settings available and how to use this theme.
If something is missing or broken you can open a PR or fix the documentation by yourself.

[Flex Wiki](https://github.com/alexandrevicenzi/Flex/wiki)

## Live example

You can see how this theme looks like at [http://flex.alxd.me/blog/](http://flex.alxd.me/blog/).

The code is available in this project under `docs` folder.

## Contributing

**ALWAYS** open an issue before sending a PR.
Discuss the problem/feature that you want to code.
After discussing, send a PR with your changes.

As always, if you want something that only makes sense to you, fork Flex and create a new theme.

## Translations

Translate this theme to new languages at [Transifex](https://www.transifex.com/alexandrevicenzi/flex-pelican/).

Read more about [Translation Support](https://github.com/alexandrevicenzi/Flex/wiki/Translations) in the Wiki.

## License

MIT
